{"info":{"title":"Photos API","description":"This is a public version of the Moose API.\n                          Please check <a href=\"https://community.icons8.com/t/photos-api-announcements/59\">this thread</a> to keep in touch.","version":"1.0.0"},"swagger":"2.0","produces":["application/json"],"securityDefinitions":{"api-key":{"type":"apiKey","name":"api-key","in":"header","description":"Your key is on the [API keys page](/api-keys)."}},"host":"api-photos.icons8.com","basePath":"/api","schemes":["https"],"tags":[{"name":"Images","description":"Search stock photos, list them, and get a photo by id with its high-resolution file and similar photos."},{"name":"Assets","description":"Search transparent assets for editors, list them, and get an asset by id with its high-resolution file and similar assets."}],"paths":{"/v2/images/search":{"get":{"summary":"Search images","description":"Get list of images by query","produces":["application/json"],"parameters":[{"in":"query","name":"type","type":"string","enum":["photo","collage","background"],"required":false},{"in":"query","name":"query","description":"Text search query","type":"string","required":true},{"in":"query","name":"page","description":"Page number","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"perPage","description":"Number of results per page. Max: 100","type":"integer","format":"int32","default":10,"minimum":1,"maximum":100,"required":false},{"in":"query","name":"fields","description":"Return only specified fields. Example: \"id,urls(thumb)\". Please request only needed fields.","type":"string","default":"id,urls","required":false},{"in":"query","name":"orderBy","type":"string","default":"relevant","enum":["relevant","random"],"required":false},{"in":"query","name":"locale","description":"Query and result language","type":"string","default":"en","enum":["en","ru","fr","de","it","jp","es","br","cn","ko"],"required":false}],"security":[{"api-key":[]}],"responses":{"200":{"description":"Search images","schema":{"$ref":"#/definitions/Main_Images"},"examples":{"application/json":{"total":35344,"images":[{"id":"5c7b907a8b658800017c5a9e","type":"photo","free":false,"title":"Jogging is a great way to keep body in shape","urls":{"thumb":{"width":288,"height":431,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf9thumb-1x.jpg"},"small":{"width":357.8085106382979,"height":536,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf91x.jpg"},"medium":{"width":576,"height":862,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf9thumb-2x.jpg"},"large":{"width":715.6170212765958,"height":1072,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf92x.jpg"}},"assets":{"models":["5c850e3c8b65880001aaab75"],"objects":["5d966bf18b65880001e16128"],"background":null},"categories":["Women","Sports","Technology"],"descriptions":["Jogging is a great way to keep body in shape","Young woman in sportswear running"],"tags":["Exhausting","Jogging"]}]}}}},"tags":["Images"],"operationId":"getV2ImagesSearch"}},"/v2/images":{"get":{"summary":"List images","description":"Get list of images","produces":["application/json"],"parameters":[{"in":"query","name":"type","type":"string","enum":["photo","collage","background"],"required":false},{"in":"query","name":"page","description":"Page number","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"perPage","description":"Number of results per page. Max: 100","type":"integer","format":"int32","default":10,"minimum":1,"maximum":100,"required":false},{"in":"query","name":"fields","description":"Return only specified fields. Example: \"id,urls(thumb)\". Please request only needed fields.","type":"string","default":"id,urls","required":false},{"in":"query","name":"orderBy","type":"string","default":"latest","enum":["latest","oldest","random"],"required":false},{"in":"query","name":"locale","description":"Query and result language","type":"string","default":"en","enum":["en","ru","fr","de","it","jp","es","br","cn","ko"],"required":false}],"security":[{"api-key":[]}],"responses":{"200":{"description":"List images","schema":{"$ref":"#/definitions/Main_Images"},"examples":{"application/json":{"total":35344,"images":[{"id":"5c7b907a8b658800017c5a9e","type":"photo","free":false,"title":"Jogging is a great way to keep body in shape","urls":{"thumb":{"width":288,"height":431,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf9thumb-1x.jpg"},"small":{"width":357.8085106382979,"height":536,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf91x.jpg"},"medium":{"width":576,"height":862,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf9thumb-2x.jpg"},"large":{"width":715.6170212765958,"height":1072,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf92x.jpg"}},"assets":{"models":["5c850e3c8b65880001aaab75"],"objects":["5d966bf18b65880001e16128"],"background":null},"categories":["Women","Sports","Technology"],"descriptions":["Jogging is a great way to keep body in shape","Young woman in sportswear running"],"tags":["Exhausting","Jogging"]}]}}}},"tags":["Images"],"operationId":"getV2Images"}},"/v2/images/{id}/hi-res":{"get":{"summary":"High-resolution image","description":"Get a link to a high resolution asset of image","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"string","required":true}],"security":[{"api-key":[]}],"responses":{"200":{"description":"High-resolution image","schema":{"$ref":"#/definitions/Main_Asset"},"examples":{"application/json":{"width":4000,"height":6000,"url":"https://s3.buckets.icons8.com/icons8-moose-prod-assets/assets/sata/original/530/1ac525bb-9599-4a88-a824-f037791e67b0.jpg"}}},"404":{"description":"Not found","schema":{"$ref":"#/definitions/Main_Error"},"examples":{"application/json":{"error":"Image not found"}}}},"tags":["Images"],"operationId":"getV2ImagesIdHiRes"}},"/v2/images/{id}/similars":{"get":{"summary":"Image similars","description":"Get list of similars images by id","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"string","required":true},{"in":"query","name":"page","description":"Page number","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"perPage","description":"Number of results per page. Max: 100","type":"integer","format":"int32","default":10,"minimum":1,"maximum":100,"required":false},{"in":"query","name":"fields","description":"Return only specified fields. Example: \"id,urls(thumb)\". Please request only needed fields.","type":"string","default":"id,urls","required":false},{"in":"query","name":"locale","description":"Query and result language","type":"string","default":"en","enum":["en","ru","fr","de","it","jp","es","br","cn","ko"],"required":false}],"security":[{"api-key":[]}],"responses":{"200":{"description":"Image similars","schema":{"$ref":"#/definitions/Main_Images"},"examples":{"application/json":{"total":35344,"images":[{"id":"5c7b907a8b658800017c5a9e","type":"photo","free":false,"title":"Jogging is a great way to keep body in shape","urls":{"thumb":{"width":288,"height":431,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf9thumb-1x.jpg"},"small":{"width":357.8085106382979,"height":536,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf91x.jpg"},"medium":{"width":576,"height":862,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf9thumb-2x.jpg"},"large":{"width":715.6170212765958,"height":1072,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf92x.jpg"}},"assets":{"models":["5c850e3c8b65880001aaab75"],"objects":["5d966bf18b65880001e16128"],"background":null},"categories":["Women","Sports","Technology"],"descriptions":["Jogging is a great way to keep body in shape","Young woman in sportswear running"],"tags":["Exhausting","Jogging"]}]}}},"404":{"description":"Not found","schema":{"$ref":"#/definitions/Main_Error"},"examples":{"application/json":{"error":"Related image not found"}}}},"tags":["Images"],"operationId":"getV2ImagesIdSimilars"}},"/v2/images/{id}":{"get":{"summary":"Image by id","description":"Get image by id","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"string","required":true},{"in":"query","name":"fields","description":"Return only specified fields. Example: \"id,urls(thumb)\". Please request only needed fields.","type":"string","default":"id,urls","required":false},{"in":"query","name":"locale","description":"Query and result language","type":"string","default":"en","enum":["en","ru","fr","de","it","jp","es","br","cn","ko"],"required":false}],"security":[{"api-key":[]}],"responses":{"200":{"description":"Image by id","schema":{"$ref":"#/definitions/Main_Image"},"examples":{"application/json":{"id":"5c7b907a8b658800017c5a9e","type":"photo","free":false,"title":"Jogging is a great way to keep body in shape","urls":{"thumb":{"width":288,"height":431,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf9thumb-1x.jpg"},"small":{"width":357.8085106382979,"height":536,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf91x.jpg"},"medium":{"width":576,"height":862,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf9thumb-2x.jpg"},"large":{"width":715.6170212765958,"height":1072,"url":"https://photo-cdn.icons8.com/assets/previews/609/5f4759f2-fb22-4fe8-8d96-ed7021e45bf92x.jpg"}},"assets":{"models":["5c850e3c8b65880001aaab75"],"objects":["5d966bf18b65880001e16128"],"background":null},"categories":["Women","Sports","Technology"],"descriptions":["Jogging is a great way to keep body in shape","Young woman in sportswear running"],"tags":["Exhausting","Jogging"]}}},"404":{"description":"Not found","schema":{"$ref":"#/definitions/Main_Error"},"examples":{"application/json":{"error":"Image not found"}}}},"tags":["Images"],"operationId":"getV2ImagesId"}},"/v2/assets/search":{"get":{"summary":"Search assets","description":"Get list of assets by query","produces":["application/json"],"parameters":[{"in":"query","name":"type","type":"string","enum":["model","object"],"required":false},{"in":"query","name":"query","description":"Text search query","type":"string","required":true},{"in":"query","name":"page","description":"Page number","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"perPage","description":"Number of results per page. Max: 100","type":"integer","format":"int32","default":10,"minimum":1,"maximum":100,"required":false},{"in":"query","name":"fields","description":"Return only specified fields. Example: \"id,urls(thumb)\". Please request only needed fields.","type":"string","default":"id,urls","required":false},{"in":"query","name":"orderBy","type":"string","default":"relevant","enum":["relevant","random"],"required":false},{"in":"query","name":"locale","description":"Query and result language","type":"string","default":"en","enum":["en","ru","fr","de","it","jp","es","br","cn","ko"],"required":false}],"security":[{"api-key":[]}],"responses":{"200":{"description":"Search assets","schema":{"$ref":"#/definitions/Main_EditorAssets"},"examples":{"application/json":{"total":22754,"assets":[{"id":"5db302d38b65880001223281","type":"model","urls":{"thumb":{"width":288,"height":393,"url":"https://photo-cdn.icons8.com/assets/editor/model/285/607df81a-d207-40b7-bc3f-e738a8fea57b.png"},"small":{"width":576,"height":787,"url":"https://photo-cdn.icons8.com/assets/editor/model/439/20825767-a317-4dcc-a4e7-8d266c486f6a.png"},"medium":{"width":1098,"height":1500,"url":"https://photo-cdn.icons8.com/assets/editor/model/950/df56535a-c866-44e0-aec7-3fc88c923942.png"}},"tags":["Bike","Caucasian","Child","Female","Girl","Good mood","Happy","Kid girl","Long hair","Red hair","Summer","Teen","Teenager","Young","Lifestyle","Sports","Bicycle","Riding","Lizzy"]}]}}}},"tags":["Assets"],"operationId":"getV2AssetsSearch"}},"/v2/assets":{"get":{"summary":"List assets","description":"Get list of assets","produces":["application/json"],"parameters":[{"in":"query","name":"type","type":"string","enum":["model","object"],"required":false},{"in":"query","name":"orderBy","type":"string","default":"latest","enum":["latest","oldest","random"],"required":false},{"in":"query","name":"locale","description":"Query and result language","type":"string","default":"en","enum":["en","ru","fr","de","it","jp","es","br","cn","ko"],"required":false},{"in":"query","name":"page","description":"Page number","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"perPage","description":"Number of results per page. Max: 100","type":"integer","format":"int32","default":10,"minimum":1,"maximum":100,"required":false},{"in":"query","name":"fields","description":"Return only specified fields. Example: \"id,urls(thumb)\". Please request only needed fields.","type":"string","default":"id,urls","required":false}],"security":[{"api-key":[]}],"responses":{"200":{"description":"List assets","schema":{"$ref":"#/definitions/Main_EditorAssets"},"examples":{"application/json":{"total":22754,"assets":[{"id":"5db302d38b65880001223281","type":"model","urls":{"thumb":{"width":288,"height":393,"url":"https://photo-cdn.icons8.com/assets/editor/model/285/607df81a-d207-40b7-bc3f-e738a8fea57b.png"},"small":{"width":576,"height":787,"url":"https://photo-cdn.icons8.com/assets/editor/model/439/20825767-a317-4dcc-a4e7-8d266c486f6a.png"},"medium":{"width":1098,"height":1500,"url":"https://photo-cdn.icons8.com/assets/editor/model/950/df56535a-c866-44e0-aec7-3fc88c923942.png"}},"tags":["Bike","Caucasian","Child","Female","Girl","Good mood","Happy","Kid girl","Long hair","Red hair","Summer","Teen","Teenager","Young","Lifestyle","Sports","Bicycle","Riding","Lizzy"]}]}}}},"tags":["Assets"],"operationId":"getV2Assets"}},"/v2/assets/{id}/hi-res":{"get":{"summary":"High-resolution asset","description":"Get a link to a high resolution asset of image","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"string","required":true}],"security":[{"api-key":[]}],"responses":{"200":{"description":"High-resolution asset","schema":{"$ref":"#/definitions/Main_Asset"},"examples":{"application/json":{"width":4000,"height":6000,"url":"https://s3.buckets.icons8.com/icons8-moose-prod-assets/assets/sata/original/530/1ac525bb-9599-4a88-a824-f037791e67b0.jpg"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Main_Error"},"examples":{"application/json":{"error":"Unauthorized"}}},"404":{"description":"Not found","schema":{"$ref":"#/definitions/Main_Error"},"examples":{"application/json":{"error":"Asset not found"}}}},"tags":["Assets"],"operationId":"getV2AssetsIdHiRes"}},"/v2/assets/{id}/similars":{"get":{"summary":"Asset similars","description":"Get list of similars assets by id","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"string","required":true},{"in":"query","name":"page","description":"Page number","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"perPage","description":"Number of results per page. Max: 100","type":"integer","format":"int32","default":10,"minimum":1,"maximum":100,"required":false},{"in":"query","name":"fields","description":"Return only specified fields. Example: \"id,urls(thumb)\". Please request only needed fields.","type":"string","default":"id,urls","required":false},{"in":"query","name":"locale","description":"Query and result language","type":"string","default":"en","enum":["en","ru","fr","de","it","jp","es","br","cn","ko"],"required":false}],"security":[{"api-key":[]}],"responses":{"200":{"description":"Asset similars","schema":{"$ref":"#/definitions/Main_EditorAssets"},"examples":{"application/json":{"total":22754,"assets":[{"id":"5db302d38b65880001223281","type":"model","urls":{"thumb":{"width":288,"height":393,"url":"https://photo-cdn.icons8.com/assets/editor/model/285/607df81a-d207-40b7-bc3f-e738a8fea57b.png"},"small":{"width":576,"height":787,"url":"https://photo-cdn.icons8.com/assets/editor/model/439/20825767-a317-4dcc-a4e7-8d266c486f6a.png"},"medium":{"width":1098,"height":1500,"url":"https://photo-cdn.icons8.com/assets/editor/model/950/df56535a-c866-44e0-aec7-3fc88c923942.png"}},"tags":["Bike","Caucasian","Child","Female","Girl","Good mood","Happy","Kid girl","Long hair","Red hair","Summer","Teen","Teenager","Young","Lifestyle","Sports","Bicycle","Riding","Lizzy"]}]}}},"404":{"description":"Not found","schema":{"$ref":"#/definitions/Main_Error"},"examples":{"application/json":{"error":"Related asset not found"}}}},"tags":["Assets"],"operationId":"getV2AssetsIdSimilars"}},"/v2/assets/{id}":{"get":{"summary":"Asset by id","description":"Get asset by id","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"string","required":true},{"in":"query","name":"fields","description":"Return only specified fields. Example: \"id,urls(thumb)\". Please request only needed fields.","type":"string","default":"id,urls","required":false},{"in":"query","name":"locale","description":"Query and result language","type":"string","default":"en","enum":["en","ru","fr","de","it","jp","es","br","cn","ko"],"required":false}],"security":[{"api-key":[]}],"responses":{"200":{"description":"Asset by id","schema":{"$ref":"#/definitions/Main_EditorAsset"},"examples":{"application/json":{"id":"5db302d38b65880001223281","type":"model","urls":{"thumb":{"width":288,"height":393,"url":"https://photo-cdn.icons8.com/assets/editor/model/285/607df81a-d207-40b7-bc3f-e738a8fea57b.png"},"small":{"width":576,"height":787,"url":"https://photo-cdn.icons8.com/assets/editor/model/439/20825767-a317-4dcc-a4e7-8d266c486f6a.png"},"medium":{"width":1098,"height":1500,"url":"https://photo-cdn.icons8.com/assets/editor/model/950/df56535a-c866-44e0-aec7-3fc88c923942.png"}},"tags":["Bike","Caucasian","Child","Female","Girl","Good mood","Happy","Kid girl","Long hair","Red hair","Summer","Teen","Teenager","Young","Lifestyle","Sports","Bicycle","Riding","Lizzy"]}}},"404":{"description":"Not found","schema":{"$ref":"#/definitions/Main_Error"},"examples":{"application/json":{"error":"Asset not found"}}}},"tags":["Assets"],"operationId":"getV2AssetsId"}}},"definitions":{"Main_Images":{"type":"object","properties":{"total":{"type":"integer","format":"int32"},"images":{"type":"array","items":{"$ref":"#/definitions/Main_Image"}}},"description":"Main_Images model"},"Main_Image":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"free":{"type":"string"},"title":{"type":"string","description":"first description"},"urls":{"type":"object","properties":{"thumb":{"$ref":"#/definitions/Main_Asset"},"small":{"$ref":"#/definitions/Main_Asset"},"medium":{"$ref":"#/definitions/Main_Asset"},"large":{"$ref":"#/definitions/Main_Asset"},"thumb1xWebp":{"$ref":"#/definitions/Main_Asset"},"thumb2xWebp":{"$ref":"#/definitions/Main_Asset"}}},"assets":{"type":"object","properties":{"models":{"type":"array","items":{"type":"string"}},"objects":{"type":"array","items":{"type":"string"}},"background":{"type":"string"}}},"categories":{"type":"array","items":{"type":"string"}},"descriptions":{"type":"array","items":{"type":"string"}},"tags":{"type":"array","items":{"type":"string"}}},"description":"Main_Image model"},"Main_Asset":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"url":{"type":"string"}},"description":"Main_Asset model"},"Main_Error":{"type":"object","properties":{"error":{"type":"string","example":"Error"}},"description":"Main_Error model"},"Main_EditorAssets":{"type":"object","properties":{"total":{"type":"integer","format":"int32"},"assets":{"type":"array","items":{"$ref":"#/definitions/Main_EditorAsset"}}},"description":"Main_EditorAssets model"},"Main_EditorAsset":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"urls":{"type":"object","properties":{"thumb":{"$ref":"#/definitions/Main_Asset"},"small":{"$ref":"#/definitions/Main_Asset"},"thumb1xWebp":{"$ref":"#/definitions/Main_Asset"},"thumb2xWebp":{"$ref":"#/definitions/Main_Asset"},"medium":{"$ref":"#/definitions/Main_Asset"}}},"tags":{"type":"array","items":{"type":"string"}}},"description":"Main_EditorAsset model"}}}